Bug 53002 - Unknown AC97 codec - sound doesn't work properly
Summary: Unknown AC97 codec - sound doesn't work properly
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-01 15:45 UTC by Leonid Kanter
Modified: 2007-04-18 16:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-16 04:35:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leonid Kanter 2001-09-01 15:45:44 UTC
Description of Problem:

I have motherboard with AMD AC97 codec 0x4144:0x5360, unknown by kernel.
According to MB info http://www.aopen.com/products/mb/mx3s.htm, there is
AD1885, but in ac97_codec.c AD1885 is listed as 0x41445460. Is it a typo or
just unknown chip revision?

0x4144:0x5360 I found in /var/log/messages.

Comment 1 Alan Cox 2001-09-01 15:51:41 UTC
It could just be a new codec, the MX3S boards do seem to change over time.
However it should not affect the audio behaviour.

What breaks ?


Comment 2 Leonid Kanter 2001-09-01 16:12:10 UTC
I'm currently away from this box (it's in the office turned off and I'm home),
but when I tried to play kde sounds on it I got message box that artsd buffer
was owerflowed and its execution was aborted. I'll be able to supply additional
info on Monday.


Comment 3 Leonid Kanter 2001-09-03 12:33:25 UTC
Actually I'm unable to play sound at all on this box. xmms simply hangs after
pressing play button. mpg321 says following:
Playing MPEG stream from Williams.mp3 ...
MPEG 1.0 layer III, 192 kbit/s, 44100 Hz joint-stereo
libao - OSS cannot set rate to 44100
Error opening libao oss driver.

The only thing that works is mixer - I can change volume while playing audio CDs.

Comment 4 Alan Cox 2001-09-03 13:01:54 UTC
This error
PEG 1.0 layer III, 192 kbit/s, 44100 Hz joint-stereo
libao - OSS cannot set rate to 44100

is correct - the codec you have doesnt appear to support 44.1KHz only 48.0


Comment 5 Leonid Kanter 2001-09-03 13:23:12 UTC
I've just got it working with following patch:
--- drivers/sound/ac97_codec.c.orig	Mon Sep  3 16:23:01 2001
+++ drivers/sound/ac97_codec.c	Mon Sep  3 16:23:17 2001
@@ -76,6 +76,7 @@
 	{0x41445303, "Analog Devices AD1819",	NULL},
 	{0x41445340, "Analog Devices AD1881",	NULL},
 	{0x41445348, "Analog Devices AD1881A",	NULL},
+
{0x41445360, "Analog Devices AD1885",	enable_eapd},
 	{0x41445460, "Analog Devices AD1885",	enable_eapd},
 	{0x414B4D00, "Asahi Kasei AK4540",	NULL},
 	{0x414B4D01, "Asahi Kasei AK4542",	NULL},

Both mpg321 and xmms are great. I think this change may be included in
mainstream kernel.

Comment 6 Alan Cox 2001-09-03 13:48:01 UTC
I dont understand why the change helps but the change is fine so its in my
tree now (2.4.9-ac)


Comment 7 Leonid Kanter 2001-09-03 14:05:32 UTC
I hope it will also appear in 2.4.7-RH

Comment 8 Leonid Kanter 2001-09-08 14:51:19 UTC
With 2.4.7-10 I'm unable to play audio again. New message appeared in
/var/log/messages. Here is 2.4.7-10 log:

Sep  8 17:33:06 leon kernel: ac97_codec: AC97 Audio codec, id: 0x4144:0x5360
(Analog Devices AD1885)
Sep  8 17:33:06 leon kernel: i810_audio: setting clocking to 7032
Sep  8 17:33:07 leon modprobe: modprobe: Can't locate module sound-service-0-3

And here is 2.4.7-6 log (with codec patch applied):

Sep  8 17:46:35 leon kernel: ac97_codec: AC97 Audio codec, id: 0x4144:0x5360
(Analog Devices AD1885)
Sep  8 17:46:35 leon modprobe: modprobe: Can't locate module sound-service-0-0

As you see,2.4.7-6 doesn't try to set clocking to 7032 and it works. I didn't
download 2.4.7-10 source jet so I can't say what patch in it broke this thing.

Comment 9 Leonid Kanter 2001-09-11 18:14:23 UTC
After turning CONFIG_HOTPLUG_PCI off everything is OK again. I think
CONFIG_HOTPLUG_PCI is good for enterprise kernel only.


Note You need to log in before you can comment on or make changes to this bug.